<bugID>476505<Summary>Add preference to turn javascript: bookmarks off/on</Summary><Description>If a javascript: or data: URL is pasted on top of a privileged chrome document it is processed with chrome privileges.  As such, a person could inadvertently run malicious JavaScript with chrome privileges if they click a malicious bookmarklet, etc.

Perhaps javascript: and data: for bookmarks should be turned off by default and users who want to use JavaScript bookmarks can opt-in to use them.  Since the threat only applies to a javascript: URL being pasted on top of an active privileged tab, the restriction need only apply to bookmarks, etc., and these URLs could be safely allowed for normal hyperlinks, images, etc.</Description></bugID>